#!/usr/bin/python

import re
import sys
import os
import shutil
from testing_tools import is_coverage, get_gcda

def build_dir(exe):
    t = get_gcda(exe)
    a = re.search("(/.*)/tests/*" ,t)
    return a.groups()[0]

def gen_cov_info(build_dir):
    if os.path.exists('coverage'):
        shutil.rmtree('coverage')
    os.mkdir('coverage')
    os.chdir('coverage')
    base_dir = '../' + os.environ['top_srcdir'] + '/src'
    os.system('lcov -d ' + build_dir + ' -b ' + base_dir + ' -z')
    os.system('lcov -d ' + build_dir + ' -b ' + base_dir + ' -c -o gmyth.info')
    os.system('genhtml gmyth.info')

exe = 'test'
exe = [ '.libs/' + exe ]
if is_coverage(exe):
    bdir = build_dir(exe)
    gen_cov_info(bdir)
sys.exit(0)
